Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class AbstractResolution

    java.lang.Object
      org.deegree.ogcwebservices.wcs.configuration.AbstractResolution

All Implemented Interfaces:
  Comparable, Resolution

Direct Known Subclasses:
  DatabaseResolution, DirectoryResolution, FileResolution, OracleGeoRasterResolution, ScriptResolution, ShapeResolution

    abstract class AbstractResolution

extends Object
implements Resolution

A concrete Resolution must implement accessor methods for either Shape, Directory or File (or additional descriptions available in future) which will be used is no Range is persent.

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`AbstractResolution(double minScale, double maxScale, Range[] range)`

Method Summary
`void` | `addRange(Range range)`
`int` | `compareTo(Object o)` minScale is used for comparing.
`double` | `getMaxScale()` returns the maximum scale (exculding) the `Resolution` is valid for.
`double` | `getMinScale()` returns the minimum scale (inculding) the `Resolution` is valid for.
`Range[]` | `getRanges()` returns the `Range`s included with in resolution.
`void` | `removeRange(Range range)` removes a range from a `Resolution`
`void` | `setMaxScale(double maxScale)`
`void` | `setMinScale(double minScale)`
`void` | `setRange(Range[] ranges)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractResolution

    public AbstractResolution(double minScale,
                              double maxScale,
                              Range[] range)
                       throws IllegalArgumentException

Parameters:
  `minScale` -
  `maxScale` -
  `range` -
Throws:
  `IllegalArgumentException`

Method Detail

### setMaxScale

    public void setMaxScale(double maxScale)
                     throws IllegalArgumentException

  Parameters:
    `maxScale` - The maxScale to set.
  Throws:
    `IllegalArgumentException`
  See Also:
    `getMaxScale()`

### setMinScale

    public void setMinScale(double minScale)
                     throws IllegalArgumentException

  Parameters:
    `minScale` - The minScale to set.
  Throws:
    `IllegalArgumentException`
  See Also:
    `getMinScale()`

### setRange

    public void setRange(Range[] ranges)

  Parameters:
    `ranges` - The range to set.
  See Also:
    `getRanges()`

### addRange

    public void addRange(Range range)

  Parameters:
    `range` -
  See Also:
    `getRanges()`

### removeRange

    public void removeRange(Range range)

  removes a range from a `Resolution`

  Parameters:
    `range` -

### getMinScale

    public double getMinScale()

  returns the minimum scale (inculding) the `Resolution` is valid for.

  Specified by:
    `getMinScale` in interface `Resolution`
  Returns:
    the minimum scale (inculding) the `Resolution` is valid for.

### getMaxScale

    public double getMaxScale()

  returns the maximum scale (exculding) the `Resolution` is valid for.

  Specified by:
    `getMaxScale` in interface `Resolution`
  Returns:
    the maximum scale (exculding) the `Resolution` is valid for.

### getRanges

    public Range[] getRanges()

  returns the `Range`s included with in resolution. A range is similar to those defined in OGC WCS 1.0.0 specification for CoverageOffering. But it is reduced to the elements required for identifying the coverages resources assigned to a specific combination of parameter (values).

  The return value maybe is `null` if the `Resolution` just describes data from one parameter dimension (missing Range in CoverageOffering). In this case there is direct access to the data source describing element(s).

  Specified by:
    `getRanges` in interface `Resolution`
  Returns:
    the `Range`s included with in resolution.

### compareTo

    public int compareTo(Object o)
                  throws IllegalArgumentException

  minScale is used for comparing. If this.minScale < o.getMinScale -1 will be ruturned; vice versa 1 will be returned. only is this.minScale == o.minScale 0 will be returned.

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` -
  Returns:
    integer
  Throws:
    `IllegalArgumentException`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org